Recent Posts

Pages: 1 2 [3] 4 5 ... 10
21
Marco, I don't understand whay you want mean !
22
try again your previous code… (do not edit the message, post a new one)
23
Code: [Select]
  (vla-SetWindowToPlot
    ActiveLayoutObj
    (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbDouble '(0 . 1)) (car Window)))
    (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbDouble '(0 . 1)) (cadr Window)))
  )
:yes:
24
Code - Auto/Visual Lisp: [Select]
  1. (defun VK_PLOTTOFILE    (ConfigName     MediaName Window FileName / AcadObj     ActiveDocObj ActiveLayoutObj PlotObj)
  2.         (setq   AcadObj                  (vlax-get-acad-object)
  3.                         ActiveDocObj     (vla-get-ActiveDocument AcadObj)
  4.                         ActiveLayoutObj (vla-get-ActiveLayout ActiveDocObj)
  5.         )
  6.         (vla-RefreshPlotDeviceInfo      ActiveLayoutObj                                         )
  7.         (vla-Put-ConfigName                             ActiveLayoutObj ConfigName                      )
  8.         (setq PlotObj                                           (vla-get-Plot ActiveDocObj)             )
  9.         (vla-Put-CanonicalMediaName     ActiveLayoutObj MediaName                       )
  10.  
  11.         (vla-put-UseStandardScale               ActiveLayoutObj :vlax-true                      )
  12.         (vla-Put-StandardScale                  ActiveLayoutObj 0.01                                    )
  13.  
  14.         (vla-put-PaperUnits                             ActiveLayoutObj acMillimeters           )
  15.         (vla-Put-PlotRotation                   ActiveLayoutObj ac0degrees                      )  
  16.         (vla-put-PlotOrigin ActiveLayoutObj     (vlax-make-variant (vlax-make-safearray vlax-vbDouble '(0 . 1) ) ) )
  17.         (vla-Put-CenterPlot ActiveLayoutObj :vlax-true)
  18.  
  19.         (vla-Put-PlotType ActiveLayoutObj acWindow) ; <<<<<<<<<<<
  20.         (vla-SetWindowToPlot ActiveLayoutObj
  21.                 (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbDouble '(0 . 1) ) (car  Window) ) )
  22.                 (vlax-make-variant (vlax-safearray-fill (vlax-make-safearray vlax-vbDouble '(0 . 1) ) (cadr Window) ) )
  23.         )
  24.        
  25.         (vla-PlotToFile PlotObj FileName)
  26.         (foreach        o (list PlotObj ActiveLayoutObj ActiveDocObj AcadObj) (vlax-release-object o) )
  27. )
  28.  

(VK_PLOTTOFILE
   "AutoCAD PDF (High Quality Print).pc3"
   "ISO_full_bleed_A3_(420.00_x_297.00_MM)"
   (list (:PT3D2D plot-ll-pt) (:PT3D2D plot-ur-pt))
   pdf-full-file-name
)
(vla-Put-PlotType ActiveLayoutObj acWindow)
Automation Error. Invalid input

???
25
But now, the SAME CODE doesn't work !

It says :
Automation Error. Description was not provided.

???
26
AutoLISP (Vanilla / Visual) / Re: Replicate Autoconstrain command in AutoLISP
« Last post by d2010 on January 27, 2021, 09:39:17 AM »
applications in different objects, included in Civil 3D or maybe Advanced Steel.

Very Easy.
a)You open the file jtm2020hyo.dwg.
b)You set color RED for one-object.
c)You clone one-object. (or duplicate)
d)You set color GREEN for last object c)
e).You develope a programe.lsp (compare objC and objA)
27
.NET / Re: Xref Layers
« Last post by mottosson on January 27, 2021, 08:05:17 AM »
For anyone else looking for this:

If a layer is not dependent it is a layer in the current drawing:

Code: [Select]
layer.IsDependent == false
28
CAD General / Re: Autocad 2019 and 2020
« Last post by Fabricio28 on January 27, 2021, 07:26:52 AM »
@ronjonp

If I change the scale over 0.25 worked fine!!

Thanks
Fabricio
29
AutoLISP (Vanilla / Visual) / Re: AutoCAD command rejected:
« Last post by d2010 on January 27, 2021, 06:46:06 AM »
Does _.ucs command have _origin option?
Can you test the "Expert"-variabile together ?"
Code: [Select]
(setq vars (list  "CMDECHO")) (mapcar 'setvar vars '(0))
 (command ".expert" (getvar "expert"))  ;; dummy command
 (vl-cmdf "_.pline" "_non" (getpoint)))
30
AutoLISP (Vanilla / Visual) / Re: AutoCAD command rejected:
« Last post by domenicomaria on January 27, 2021, 04:27:10 AM »
I understand what the problem is.


I'm trying to create my own MENU, for my commands,
with an OpenDCL palette . . .

So I send to Acad, all the commands, from this menu . . .

But continuosly ACAD says "AutoCAD command rejected: . . ."

The solution is
that I have to set in OpenDCL
the property of the buttons "Event Invoke"
to asynchronicus and
NOT to synchronicus ! ! !

I hope this will help to who will find the same problem !

Thanks to all.

Ciao
Pages: 1 2 [3] 4 5 ... 10